# PetscSynchronizedFlush

Flushes to the screen output from all processors involved in previous PetscSynchronizedPrintf() calls.

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscSynchronizedFlush(MPI_Comm comm)

Collective on MPI_Comm

### Input Parameters

comm -the communicator

### Notes

Usage of PetscSynchronizedPrintf() and PetscSynchronizedFPrintf() with different MPI communicators REQUIRES an intervening call to PetscSynchronizedFlush().

### See Also

PetscSynchronizedPrintf(), PetscFPrintf(), PetscPrintf(), PetscViewerASCIIPrintf(),
PetscViewerASCIISynchronizedPrintf()

Level:intermediate
Location: src/sys/fileio/mprint.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex2.c.html
src/vec/vec/examples/tutorials/ex9.c.html
src/ksp/ksp/examples/tutorials/ex33.c.html
src/dm/ao/examples/tutorials/ex2.c.html
src/dm/da/examples/tutorials/ex6.c.html